%define efivar_version 35-2
%define anolis_release 2

Name: efibootmgr
Version: 17 
Release: %{anolis_release}%{?dist}
Summary: EFI Boot Manager
License: GPLv2+
URL: https://github.com/rhboot/%{name}/

BuildRequires: efi-srpm-macros >= 3-2
BuildRequires: efi-filesystem
BuildRequires: git popt-devel
BuildRequires: efivar-libs >= %{efivar_version}
BuildRequires: efivar-devel >= %{efivar_version}
BuildRequires: gcc
BuildRequires: make
Requires: efi-filesystem
ExclusiveArch: %{efi}

Source0: https://github.com/rhboot/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2

# Fixes to compiler errors manually cherry picked from upstream commit
# https://github.com/rhboot/efibootmgr/commit/e8ce9fecebd15adb4c60a0678d4c417afe06dde4

%description
%{name} displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at https://uefi.org/.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git
git config --local --add efibootmgr.efidir %{efi_vendor}

%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{build_ldflags}'

%install
%make_install libdir=%{_libdir} bindir=%{_bindir} mandir=%{_mandir} \
	      localedir=%{_datadir}/locale/ includedir=%{_includedir} \
	      libexecdir=%{_libexecdir} datadir=%{_datadir}

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_sbindir}/*
%{abidir}/*-option.list
%{_mandir}/*/*.?.gz

%files doc
%doc README

%changelog
* Mon Oct 31 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 17-2
- optimise spec file & add doc package

* Wed Mar  9 2022 zl01087097 <zl01087097@alibaba-inc.com> - 17-1
- upstream version 17
